# Contributing

Thanks for considering contributing to GoogleRecaptchaModule!

## Opening issues

If you find a bug, please feel free to [open an issue](https://github.com/chvarkov/google-recaptcha/issues).

If you taking the time to mention a problem, even a seemingly minor one, it is greatly appreciated, and a totally valid contribution to this project. Thank you!

## Fixing bugs

We love pull requests. Here’s a quick guide:

1. [Fork this repository](https://github.com/chvarkov/google-recaptcha/fork) and then clone it locally:

  ```bash
  git clone https://github.com/chvarkov/google-recaptcha.git
  ```

2. Create a topic branch for your changes:

  ```bash
  git checkout -b bugfix/for-that-thing
  ```
3. Commit a failing test for the bug:

  ```bash
  git commit -am "Adds a failing test to demonstrate that thing"
  ```

4. Commit a fix that makes the test pass:

  ```bash
  git commit -am "Adds a fix for that thing!"
  ```

5. Run the tests:

  ```bash
  npm test
  ```

6. Fix your changes by eslint rules:

  ```bash
  npm run lint:fix
  ```

7. If everything looks good, push to your fork:

  ```bash
  git push origin fix-for-that-thing
  ```

8. [Submit a pull request.](https://help.github.com/articles/creating-a-pull-request)

9. Enjoy being the wonderful person you are

  After you’ve opened your pull request, [you should email me](mailto:chvarkov.alexey@gmail.com) your mailing address so I can mail you a personal thank you note. Seriously!

## Adding new features

Thinking of adding a new feature? Cool! [Open an issue](https://github.com/chvarkov/google-recaptcha/issues) and let’s design it together.
