import { CanActivate, ExecutionContext, Logger } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { RecaptchaRequestResolver } from '../services/recaptcha-request.resolver';
import { RecaptchaValidatorResolver } from '../services/recaptcha-validator.resolver';
import { RecaptchaConfigRef } from '../models/recaptcha-config-ref';
export declare class GoogleRecaptchaGuard implements CanActivate {
    private readonly reflector;
    private readonly requestResolver;
    private readonly validatorResolver;
    private readonly logger;
    private readonly configRef;
    constructor(reflector: Reflector, requestResolver: RecaptchaRequestResolver, validatorResolver: RecaptchaValidatorResolver, logger: Logger, configRef: RecaptchaConfigRef);
    canActivate(context: ExecutionContext): Promise<true | never>;
    private resolveLogContext;
}
